## NAS Initiate Network Register request NAS Initiate Network Register request |

## Functions

QmiMessageNasInitiateNetworkRegisterInput * | qmi_message_nas_initiate_network_register_input_new ()
QmiMessageNasInitiateNetworkRegisterInput * | qmi_message_nas_initiate_network_register_input_ref ()
void | qmi_message_nas_initiate_network_register_input_unref ()
gboolean | qmi_message_nas_initiate_network_register_input_get_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_initiate_network_register_input_set_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_initiate_network_register_input_get_change_duration ()
gboolean | qmi_message_nas_initiate_network_register_input_set_change_duration ()
gboolean | qmi_message_nas_initiate_network_register_input_get_manual_registration_info_3gpp ()
gboolean | qmi_message_nas_initiate_network_register_input_set_manual_registration_info_3gpp ()
gboolean | qmi_message_nas_initiate_network_register_input_get_action ()
gboolean | qmi_message_nas_initiate_network_register_input_set_action ()
QmiMessageNasInitiateNetworkRegisterOutput * | qmi_message_nas_initiate_network_register_output_ref ()
void | qmi_message_nas_initiate_network_register_output_unref ()
gboolean | qmi_message_nas_initiate_network_register_output_get_result ()
void | qmi_client_nas_initiate_network_register ()
QmiMessageNasInitiateNetworkRegisterOutput * | qmi_client_nas_initiate_network_register_finish ()

## Types and Values

| QmiMessageNasInitiateNetworkRegisterInput
| QmiMessageNasInitiateNetworkRegisterOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasInitiateNetworkRegisterInput
        ╰── QmiMessageNasInitiateNetworkRegisterOutput

## Description

## Functions

### qmi_message_nas_initiate_network_register_input_new ()

    QmiMessageNasInitiateNetworkRegisterInput *
    qmi_message_nas_initiate_network_register_input_new
                                   (void);

Allocates a new QmiMessageNasInitiateNetworkRegisterInput.

#### Returns

the newly created QmiMessageNasInitiateNetworkRegisterInput. The returned value should be freed with `qmi_message_nas_initiate_network_register_input_unref()`.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_ref ()

    QmiMessageNasInitiateNetworkRegisterInput *
    qmi_message_nas_initiate_network_register_input_ref
                                   (QmiMessageNasInitiateNetworkRegisterInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_initiate_network_register_input_unref ()

    void
    qmi_message_nas_initiate_network_register_input_unref
                                   (QmiMessageNasInitiateNetworkRegisterInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |

Since: 1.0

### qmi_message_nas_initiate_network_register_input_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_initiate_network_register_input_get_mnc_pcs_digit_include_status
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    gboolean *value_mnc_pcs_digit_include_status,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_mnc_pcs_digit_include_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_set_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_initiate_network_register_input_set_mnc_pcs_digit_include_status
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    gboolean value_mnc_pcs_digit_include_status,
                                    GError **error);

Set the 'MNC PCS Digit Include Status' field in the message.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_mnc_pcs_digit_include_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_get_change_duration ()

    gboolean
    qmi_message_nas_initiate_network_register_input_get_change_duration
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    QmiNasChangeDuration *value_change_duration,
                                    GError **error);

Get the 'Change Duration' field from `self` .

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_change_duration | a placeholder for the output QmiNasChangeDuration, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_set_change_duration ()

    gboolean
    qmi_message_nas_initiate_network_register_input_set_change_duration
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    QmiNasChangeDuration value_change_duration,
                                    GError **error);

Set the 'Change Duration' field in the message.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_change_duration | a QmiNasChangeDuration. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_get_manual_registration_info_3gpp ()

    gboolean
    qmi_message_nas_initiate_network_register_input_get_manual_registration_info_3gpp
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    guint16 *value_manual_registration_info_3gpp_mcc,
                                    guint16 *value_manual_registration_info_3gpp_mnc,
                                    QmiNasRadioInterface *value_manual_registration_info_3gpp_radio_interface,
                                    GError **error);

Get the 'Manual Registration Info 3GPP' field from `self` .

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_manual_registration_info_3gpp_mcc | a placeholder for the output guint16, or `NULL` if not required. |
value_manual_registration_info_3gpp_mnc | a placeholder for the output guint16, or `NULL` if not required. |
value_manual_registration_info_3gpp_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_set_manual_registration_info_3gpp ()

    gboolean
    qmi_message_nas_initiate_network_register_input_set_manual_registration_info_3gpp
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    guint16 value_manual_registration_info_3gpp_mcc,
                                    guint16 value_manual_registration_info_3gpp_mnc,
                                    QmiNasRadioInterface value_manual_registration_info_3gpp_radio_interface,
                                    GError **error);

Set the 'Manual Registration Info 3GPP' field in the message.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_manual_registration_info_3gpp_mcc | a guint16. |
value_manual_registration_info_3gpp_mnc | a guint16. |
value_manual_registration_info_3gpp_radio_interface | a QmiNasRadioInterface. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_get_action ()

    gboolean
    qmi_message_nas_initiate_network_register_input_get_action
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    QmiNasNetworkRegisterType *value_action,
                                    GError **error);

Get the 'Action' field from `self` .

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_action | a placeholder for the output QmiNasNetworkRegisterType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_input_set_action ()

    gboolean
    qmi_message_nas_initiate_network_register_input_set_action
                                   (QmiMessageNasInitiateNetworkRegisterInput *self,
                                    QmiNasNetworkRegisterType value_action,
                                    GError **error);

Set the 'Action' field in the message.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterInput. |
value_action | a QmiNasNetworkRegisterType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_initiate_network_register_output_ref ()

    QmiMessageNasInitiateNetworkRegisterOutput *
    qmi_message_nas_initiate_network_register_output_ref
                                   (QmiMessageNasInitiateNetworkRegisterOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_initiate_network_register_output_unref ()

    void
    qmi_message_nas_initiate_network_register_output_unref
                                   (QmiMessageNasInitiateNetworkRegisterOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterOutput. |

Since: 1.0

### qmi_message_nas_initiate_network_register_output_get_result ()

    gboolean
    qmi_message_nas_initiate_network_register_output_get_result
                                   (QmiMessageNasInitiateNetworkRegisterOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasInitiateNetworkRegisterOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_initiate_network_register ()

    void
    qmi_client_nas_initiate_network_register
                                   (QmiClientNas *self,
                                    QmiMessageNasInitiateNetworkRegisterInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Initiate Network Register request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_initiate_network_register_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasInitiateNetworkRegisterInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_initiate_network_register_finish ()

    QmiMessageNasInitiateNetworkRegisterOutput *
    qmi_client_nas_initiate_network_register_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_initiate_network_register()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_initiate_network_register()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasInitiateNetworkRegisterOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_initiate_network_register_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasInitiateNetworkRegisterInput

    typedef struct _QmiMessageNasInitiateNetworkRegisterInput QmiMessageNasInitiateNetworkRegisterInput;

The QmiMessageNasInitiateNetworkRegisterInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasInitiateNetworkRegisterOutput

    typedef struct _QmiMessageNasInitiateNetworkRegisterOutput QmiMessageNasInitiateNetworkRegisterOutput;

The QmiMessageNasInitiateNetworkRegisterOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0